dnl Some functions from the main Coda autoconf stuff
AC_DEFUN(CODA_CC_FEATURE_TEST,
  [AC_CACHE_CHECK(whether the C compiler accepts $2,
     coda_cv_cc_$1,
     coda_saved_CC="$CC"
     CC="$CC $2"
     AC_LANG_SAVE
     AC_LANG_C
     AC_TRY_COMPILE([], [],
       coda_cv_cc_$1=yes,
       coda_cv_cc_$1=no)
     AC_LANG_RESTORE
     CC="$coda_saved_CC")
   if test $coda_cv_cc_$1 = yes; then
     CC="$CC $2"
   fi])

AC_DEFUN(CODA_OPTION_SUBSYS,
  [AC_ARG_WITH($1-includes,
    [  --with-$1-includes       Location of the $1 include files],
    [ CFLAGS="${CFLAGS} -I`(cd ${withval} ; pwd)`"
      CXXFLAGS="${CXXFLAGS} -I`(cd ${withval} ; pwd)`" ])
   AC_ARG_WITH($1-library,
    [  --with-$1-library        Location of the $1 library files],
    [ LDFLAGS="${LDFLAGS} -L`(cd ${withval} ; pwd)`" ])])

AC_DEFUN(CODA_FIND_LIB,
 [AC_CACHE_CHECK(location of lib$1, coda_cv_path_$1,
  [saved_CFLAGS="${CFLAGS}" ; saved_LDFLAGS="${LDFLAGS}" ; saved_LIBS="${LIBS}"
   coda_cv_path_$1=none ; LIBS="-l$1 $4"
   for path in default /usr /usr/local /usr/pkg ${prefix} ; do
     if test ${path} != default ; then
       CFLAGS="-I${path}/include ${CFLAGS}"
       LDFLAGS="-L${path}/lib ${LDFLAGS}"
     fi
     AC_TRY_LINK([$2], [$3], [coda_cv_path_$1=${path} ; break])
     CFLAGS="${saved_CFLAGS}" ; LDFLAGS="${saved_LDFLAGS}"
   done
   LIBS="${saved_LIBS}"
  ])
  case ${coda_cv_path_$1} in
    none) AC_MSG_ERROR("Cannot determine the location of lib$1")
          ;;
    default)
          ;;
    *)    CFLAGS="-I${coda_cv_path_$1}/include ${CFLAGS}"
          CXXFLAGS="-I${coda_cv_path_$1}/include ${CXXFLAGS}"
          LDFLAGS="-L${coda_cv_path_$1}/lib ${LDFLAGS}"
          ;;
  esac])

AC_SUBST(CODASRC)
AC_SUBST(CODAOBJ)
AC_DEFUN(CODA_TREE,
  [AC_ARG_WITH(codatree,
    [  --with-codatree       Location of the $1 include files],
    [ CODAOBJ="${withval}" ],
    [AC_ERROR("Need the location of a built Coda tree use --with-codatree=")])
    buildfile=${CODAOBJ}/config.status
    test -f ${buildfile} || AC_ERROR("${CODAOBJ} is not built?")
    CODASRC="`grep ac_given_srcdir= ${buildfile} | cut -d= -f2`"
  ])
